LibreOffice LibreOffice 25.2 SDK API Reference

Exported Interfaces | List of all members
BrowseNodeFactory Service Reference

This service is used to create Root XBrowseNodes. More...

`import"BrowseNodeFactory.idl";`

Inheritance diagram for BrowseNodeFactory:

## Exported Interfaces
interface | XBrowseNodeFactory

## Additional Inherited Members
Public Member Functions inherited from XBrowseNodeFactory
com::sun::star::script::browse::XBrowseNode | createView ([in] short viewType)
| a factory method for the creation of XBrowseNodes ( view ) com::sun::star::script::browse::BrowseNodeFactoryViewTypes specifies the type of view to be returned More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

This service is used to create Root XBrowseNodes.

Since
  OOo 2.0

Deprecated:
  use the singleton theBrowseNodeFactory

## Exported Interfaces

## ◆ XBrowseNodeFactory

interface XBrowseNodeFactory

The documentation for this service was generated from the following file:

- com/sun/star/script/browse/BrowseNodeFactory.idl